Bug 10601 - Add a counter on batch items modifications
Summary: Add a counter on batch items modifications
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-17 12:49 UTC by Jonathan Druart
Modified: 2015-01-21 15:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10601: Add a counter on batch items modifications (7.25 KB, patch)
2013-07-17 12:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10601: Add a counter on batch items modifications (7.39 KB, patch)
2013-07-18 01:25 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 10601: Add a counter on batch items modifications (7.45 KB, patch)
2013-08-16 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10601 [QA Followup]: Add a counter on batch items modifications (741 bytes, patch)
2013-08-16 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-07-17 12:49:47 UTC

    
Comment 1 Jonathan Druart 2013-07-17 12:51:03 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-07-18 01:25:22 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 14:27:05 UTC
Created attachment 20411 [details] [review]
Bug 10601: Add a counter on batch items modifications

After executing a batch items modifications, a dialog is displayed above
the result table. It contains the number of items (and total fields)
which has been modified.

Test plan:
1/ Go to tools/batchMod.pl
2/ Enter a barcodes list
3/ Check/uncheck items and fill some values to apply
4/ Save
5/ The table summary will be displayed with a dialog box on top:
 XX item(s) modified (with YY fields modified)
Check that XX and YY correspond with what you expected.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
batch modification still seems to work correctly, with the helpful addition of the counter. Thanks!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2013-08-16 14:27:23 UTC
Created attachment 20412 [details] [review]
Bug 10601 [QA Followup]: Add a counter on batch items modifications

Fixes a koha-qa.pl error about the pod documentation.
Comment 5 Galen Charlton 2013-09-18 17:25:24 UTC
Pushed to master, along with followups that add unit tests for the new methods in C4::BackgroundJob.
Comment 6 Galen Charlton 2013-09-18 17:25:34 UTC
Thanks, Jonathan!